=== debian/changelog ===
xmlrpc-c (1.33.14-9) unstable; urgency=medium

  * QA upload.
  * debian/control:
       - Added 'Rules-Requires-Root: no' to source stanza.
       - Bumped Standards Version to 4.5.0.
       - Changed VCS fields to Salsa.
  * debian/gbp.conf: changed master branch to debian/master.
  * debian/libxmlrpc-core-c3-dev.manpages: created to install manpage.
  * debian/manpage/*: created to add a manpage to xmlrpc.
  * debian/salsa-ci.yml: created to perform CI in Salsa.
  * debian/watch: updated. Wasn't working before.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Fri, 19 Jun 2020 18:31:22 -0300

xmlrpc-c (1.33.14-8) unstable; urgency=medium

  * QA upload.
  * Get rid of the recently added udeb package.  Closes: #874268
    It turned out that it has been broken already in Ubuntu several years
    ago already (with libcurl dropping its udeb), and nobody ever noticed
    it.  Now it's also broken in Debian as well…
    So, it's clear that this udeb isn't actually serving any good purpose.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2017 22:20:42 +0200

xmlrpc-c (1.33.14-7) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/copyright: clarify a copyright/license statement.  Closes: #857456
  * Bump shlibs version of libxmlrpc-c++8v5 due to GCC-7 op mangling.
    Closes: #871290
  * debian/rules:
    + Don't explicitly use quilt, source format '3.0 (quilt)' implies it.
    + Stop manual update of config.{sub,guess}, nowadays
      dh_update_autotools_config takes care of it automatically.
    + Prefer `$(MAKE) -C tools` over `cd tools && make`
    + Leave the job of calling `make check` to dh_auto_test.
    + Move this removal due to license issues from clean (where it might be
      skipped) to configure.
    + Clean up the cleaning code.
    + Fix FTCBFS by passing BUILDTOOL_CC and BUILDTOOL_CCLD to make.
      Thanks to Helmut Grohne <helmut@subdivi.de> for the patch
      Closes: #874183
  * debian/control:
    + Bump Standards-Version to 4.1.0, no changes needed.
    + Don't start short description with an article
    + Drop build-dependency on quilt.
    + Run wrap-and-sort.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2017 11:47:11 +0200

xmlrpc-c (1.33.14-6) experimental; urgency=medium

  * QA upload.
  * Add patch from Chris Lamb to make the build reproducible.  Closes: #860279

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 15 Apr 2017 00:00:19 +0200

xmlrpc-c (1.33.14-5) experimental; urgency=medium

  * QA upload.
  * Drop README.source, how a quilt package is handled is common knowledge now.
  * Drop the lintian override, it's a pedantic tag, I also doubt it's a FPO.
  * Add a udeb for libxmlrpc-core-c3.
    Change imported from Ubuntu.  See  LP: #831496 for the origin.
  * Move XmlRpcCpp.h from libxmlrpc-core-c3-dev to libxmlrpc-c++8-dev, as it's
    c++ stuff.  Closes: #644161

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 11 Mar 2017 00:38:27 +0100

xmlrpc-c (1.33.14-4) unstable; urgency=medium

  * QA upload.
  * Add patch fixing FTBFS on non-x86 architectures.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 10 Mar 2017 23:41:13 +0100

xmlrpc-c (1.33.14-3) unstable; urgency=medium

  * Upload to unstable. QA upload.
  * debian/libxmlrpc-core-c3-dev.doc-base created.
  * debian/libxmkrpc-c++8v5.install:
      - debian/lintian/libxmlrpc-c++8 entry removed.
      - debian/lintian/libxmlrpc-c++8v5 entry created.
  * debian/libxmlrpc-core-c3.install:
      - debian/lintian/libxmlrpc-core-c3 entry removed.
  * debian/lintian:
      - libxmlrpc-core-c3 removed.
      - libxmlrpc-c++8 removed.
      - libxmlrpc-c++8v5 created. (about hardening)
  * debian/source/format:
      3.0 (quilt)
  * debian/patches:
      - updated (blhc --all quiet now):
          - XXXFLAGS.patch
          - ldflag_lib_expat_gennmtab.patch
      - typo.patch created.
  * debian/watch:
      - with 'debian uupdate'.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 23 Jul 2016 13:10:10 -0300

xmlrpc-c (1.33.14-2) experimental; urgency=medium

  * QA upload.
  * debian/clean file created:
      - rm src/cpp/{blddir, srcdir}
  * debian/control:
      - bump Standards-Version from 3.9.6 to 3.9.8.
      - Vcs-* fields fixed.
      - Section entry from Package's statement removed. It duplicates the
        Section entry from Source's statement.
        from Source's statement.
  * debian/rules:
      - '-Wl,--as-needed' added to LDFLAGS.
  * debian/patches:
      - no_curl_test.patch to avoid testclient.cpp. FTBFS. (Closes: #831261)
      - ldflag_lib_expat_gennmtab.patch. hardening.
      - XXXFLAGS.patch. adds some hardening.
        (still 'hardening-no-pie' lintian)
  * debian/watch created.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 23 Jul 2016 10:31:02 -0300

xmlrpc-c (1.33.14-1) unstable; urgency=medium

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Update FSF address in debian/copyright.

 -- Emanuele Rocca <ema@debian.org>  Sun, 13 Dec 2015 14:06:51 +0100

xmlrpc-c (1.33.14-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++ 5 transition (see #791313)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 11 Aug 2015 22:31:41 +0100

xmlrpc-c (1.33.14-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Document missing license (Closes: #760377)
  * Clean unused code to prevent conflicting licenses
  * Add ${shlibs:Depends} to depends of xmlrpc-api-utils to prevent
    several missing dependencies (Thanks lintian)

 -- Paul Gevers <elbrus@debian.org>  Sat, 08 Nov 2014 20:53:51 +0100

xmlrpc-c (1.33.14-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #660213)
  * Drop upstream patches, refresh others.
  * gbp.conf: Use upstream branch as the tree, and enable
    pristine-tar-commit.
  * control, *.install: Bump the C++ lib soname, update C lib minor.
  * xmlrpc-api-utils.*: Fix xml-rpc-api2txt paths.

